#include<bits/stdc++.h>
#include"partition.h"
using namespace std;
vector<int> solve(vector<int> A){
    int N=A.size();
    int where=0;
    vector<int> ans;
    for(int i=0;i<N;i++){
        if(A[i]==(1<<(N-2))) where=i;
    }
    for(int i=0;i<N;i++) ans.push_back(i);
    swap(ans[where],ans[N/2]);
    return ans;
}